* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
body {
  font-family: "Nunito", sans-serif;
  background-image: linear-gradient(45deg, #fff7ad 0%, #ffa9f9 100%);
  height: 100vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.form {
  display: flex;
  justify-content: center;
  padding-top: 3em;
}

.login-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 27%;
  height: auto;
  border-radius: 12px;
  box-shadow: rgba(50, 50, 93, 0, 25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
  background-color: white;
  padding-bottom: 30px;
}
.upper-form {
  width: 80%;
  margin: 2rem;
}

h2 {
  margin: 1.5rem 0 2rem 0;
  text-align: center;
}

label {
  padding-left: 16px;
  opacity: 0.75;
}

input {
  display: flex;
  border-radius: 50px;
  border-style: none;
  outline: none;
  margin-top: 8px;
  padding: 12px 24px;
  width: 95%;
  margin-right: auto;
  margin-left: auto;
  background-color: #eaeeed;
}

input:focus {
  opacity: 0.7;
}

button {
  display: flex;
  padding: 12px 48px;
  border-radius: 50px;
  color: white;

  cursor: pointer;
  outline: none;
  border-width: 0;
  background-color: #1a1b27;
  font-weight: 600;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}
.btn {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
button a {
  text-decoration: none;
  color: white;
}

button:hover {
  opacity: 0.8;
}
.bottom-form {
  display: flex;
  justify-content: center;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  color: red;
}
.shake {
  animation: shake 0.5s;
  border: 2px solid red;
}

@keyframes shake {
  0%,
  100% {
    transform: translateX(0);
  }
  25%,
  75% {
    transform: translateX(-7px);
  }
  50% {
    transform: translateX(7px);
  }
}

.hide {
  display: none;
}

.attentionPseudo {
  font-style: oblique;
  color: rgb(94, 94, 94);
  font-size: 14px;
  color: rgb(255, 51, 51);
}

@media screen and (max-width: 600px) {
  .login-form {
    width: 90%; /* plus large sur les petits écrans */
  }

  input,
  button {
    padding: 10px; /* ajuster le padding */
  }

  /* autres ajustements pour les petits écrans */
}
